Bug 171358 - [MAINTAINER] games/simsu: Makefile simplified
Summary: [MAINTAINER] games/simsu: Makefile simplified
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alex Kozlov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-06 01:30 UTC by nemysis
Modified: 2012-09-08 23:16 UTC (History)
1 user (show)

See Also:


Attachments
simsu-1.2.2_2.patch (2.24 KB, patch)
2012-09-06 01:30 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-09-06 01:30:02 UTC
Makefile simplified


Generated with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)
Comment 1 Alex Kozlov freebsd_committer 2012-09-07 17:51:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ak

I'll take it.
Comment 2 dfilter service freebsd_committer 2012-09-08 22:02:56 UTC
Author: ak
Date: Sat Sep  8 21:02:41 2012
New Revision: 303930
URL: http://svn.freebsd.org/changeset/ports/303930

Log:
  - Simplify Makefile [1]
  - Remove deprecated comments at the top of Makefile
  
  PR:	ports/171358
  Submitted by:	nemysis <nemysis at gmx.ch> (maintainer) [1]

Modified:
  head/games/simsu/Makefile
  head/games/simsu/pkg-plist   (contents, props changed)

Modified: head/games/simsu/Makefile
==============================================================================
--- head/games/simsu/Makefile	Sat Sep  8 20:34:17 2012	(r303929)
+++ head/games/simsu/Makefile	Sat Sep  8 21:02:41 2012	(r303930)
@@ -1,35 +1,20 @@
-# New Ports collection makefile for:	simsu
-# Date created:		2012-04-21
-# Whom:			nemysis@gmx.ch
-#
 # $FreeBSD$
-#
 
 PORTNAME=	simsu
 PORTVERSION=	1.2.2
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	games
 MASTER_SITES=	http://gottcode.org/${PORTNAME}/
 EXTRACT_SUFX=	-src.tar.bz2
 
 MAINTAINER=	nemysis@gmx.ch
-COMMENT=	Simsu is a basic Sudoku game
+COMMENT=	Basic Sudoku game
 
 LICENSE=	GPLv3
 
+USE_BZIP2=	yes
 USE_QT4=	moc_build qmake_build rcc_build uic_build iconengines imageformats
-
 INSTALLS_ICONS=	yes
-HAS_CONFIGURE=	yes
-
-do-configure:
-	@cd ${WRKSRC} && ${SETENV} ${CONFIGURE_ENV} \
-		${QMAKE} PREFIX=${PREFIX} ${WRKSRC}/${PORTNAME}.pro
-
-CONFIGURE_ENV+=	UIC="${UIC}" QMAKE="${QMAKE}" QMAKESPEC="${QMAKESPEC}"
-MAKE_ENV+=	QMAKESPEC="${QMAKESPEC}"
-
-USE_GMAKE=	yes
 MAKE_JOBS_SAFE=	yes
 
 PORTDATA=	*
@@ -37,24 +22,13 @@ PORTDOCS=	CREDITS ChangeLog
 
 .include <bsd.port.options.mk>
 
-do-install:
-# Executable
-	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin
-
-# Data
-	${MKDIR} ${DATADIR}
-	@(cd ${WRKSRC} && ${COPYTREE_SHARE} "symmetry translations" ${DATADIR})
-
-# Icons
-	${MKDIR} ${PREFIX}/share/icons/hicolor
-.for d in icons
-	@(cd ${WRKSRC}/${d} && ${COPYTREE_SHARE} hicolor ${PREFIX}/share/icons/)
-.endfor
-
-# Pixmaps and Desktop
-	${INSTALL_DATA} ${WRKSRC}/icons/${PORTNAME}_32.xpm ${PREFIX}/share/pixmaps/
-	${MKDIR} ${PREFIX}/share/applications
-	${INSTALL_DATA} ${WRKSRC}/icons/${PORTNAME}.desktop ${PREFIX}/share/applications/
+do-configure:
+	@cd ${WRKSRC} && ${SETENV} ${CONFIGURE_ENV} \
+		${QMAKE} ${QMAKEFLAGS} PREFIX=${PREFIX}
+
+post-install:
+# Pixmaps
+	${INSTALL_DATA} ${WRKSRC}/icons/hicolor/48x48/apps/simsu.png ${PREFIX}/share/pixmaps/
 
 # Documentation
 .if ${PORT_OPTIONS:MDOCS}

Modified: head/games/simsu/pkg-plist
==============================================================================
--- head/games/simsu/pkg-plist	Sat Sep  8 20:34:17 2012	(r303929)
+++ head/games/simsu/pkg-plist	Sat Sep  8 21:02:41 2012	(r303930)
@@ -9,5 +9,6 @@ share/icons/hicolor/32x32/apps/simsu.png
 share/icons/hicolor/48x48/apps/simsu.png
 share/icons/hicolor/64x64/apps/simsu.png
 share/icons/hicolor/scalable/apps/simsu.svg
+share/pixmaps/simsu.png
 share/pixmaps/simsu_32.xpm
 @dirrmtry share/applications
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Alex Kozlov freebsd_committer 2012-09-08 23:16:01 UTC
State Changed
From-To: open->closed

Committed. Thanks!